|  | Home | Documentation | uddi2__businessDetailExt Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
uddi2__businessDetailExt Class Reference

Schema urn:uddi-org:api_v2:"businessDetailExt". More...

`#include <uddi_v2.h>`

## Public Attributes
std::vector< uddi2__businessEntityExt * > | businessEntityExt
| Vector of uddi2__businessEntityExt* with length 0..unbounded. More...
char * | generic
| Attribute generic of type xs:string. More...
char * | operator_
| Attribute operator of type xs:string. More...
enum uddi2__truncated * | truncated
| Attribute truncated of type "urn:uddi-org:api_v2":truncated. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"businessDetailExt".

## Member Data Documentation

std::vector<uddi2__businessEntityExt*> uddi2__businessDetailExt::businessEntityExt

Vector of uddi2__businessEntityExt* with length 0..unbounded.

char* uddi2__businessDetailExt::generic

Attribute generic of type xs:string.

Required attribute

char* uddi2__businessDetailExt::operator_

Attribute operator of type xs:string.

Required attribute

struct soap* uddi2__businessDetailExt::soap

A handle to the soap struct context that manages this class instance.

enum uddi2__truncated* uddi2__businessDetailExt::truncated

Attribute truncated of type "urn:uddi-org:api_v2":truncated.

Optional attribute

The documentation for this class was generated from the following file:

- uddi_v2.h